package AST;

import Lexer.*;

public class SignalExpr extends Expr {
    
    public SignalExpr( int oper, Expr expr ) {
       this.oper = oper;
       this.expr = expr;
    }
    
    public void genC( PW pw, boolean putParenthesis ) {
       if ( putParenthesis )
          pw.out.print("(");
       pw.out.print( oper == Symbol.PLUS ? "+" : "-" );
       expr.genC(pw, true);
       if ( putParenthesis )
          pw.out.print(")");
    }
    
    public Type getType() {
       return expr.getType();
    }
    
    private Expr expr;
    private int oper;
}
